using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Text;
using Telerik.Web.UI;
using System.Data.OleDb;

public partial class _Default : System.Web.UI.Page
{

    protected void RadGrid1_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
    {
        ArrayList list = new ArrayList();
        list.Add(new MyObj("1"));
        list.Add(new MyObj("2"));
        list.Add(new MyObj("3"));
        list.Add(new MyObj("4"));
        list.Add(new MyObj("1"));
        RadGrid1.DataSource = list;
    }


}

public class MyObj
{
    public string _innerText = "";
    public MyObj()
    {
    }
    public MyObj(string text)
    {
        _innerText = text;
    }
    public MyObj Inner1
    {
        get
        {
            return new MyObj(this._innerText + "Inner1");
        }
    }
    public MyObj Inner2
    {
        get
        {
            return new MyObj(this._innerText + "Inner2");
        }
    }
    public string TestProp
    {
        get
        {
            return this._innerText;
        }
    }
} 
